## ros-melodic-catkin 0.7.29

=== debian/changelog ===
ros-melodic-catkin (0.7.29-1stretch) stretch; urgency=high

  * set CATKIN_PACKAGE_LIBEXEC_DESTINATION which was documented but not set (#1122 <https://github.com/ros/catkin/issues/1122>)
  * count 'skipped' tests as skipped (#1121 <https://github.com/ros/catkin/issues/1121>)
  * check PYTHON_INSTALL_DIR before making directory (#1120 <https://github.com/ros/catkin/issues/1120>)
  * execute the output of _setup_util.py in place (#1116 <https://github.com/ros/catkin/issues/1116>)
  * use raw string literal (#1117 <https://github.com/ros/catkin/issues/1117>)
  * [Windows] offload source spaces into order_paths.py (#1113 <https://github.com/ros/catkin/issues/1113>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Oct 2020 07:00:00 -0000

ros-melodic-catkin (0.7.28-1stretch) stretch; urgency=high

  * use single quote for cached environment values without old values (#1108 <https://github.com/ros/catkin/issues/1108>)
  * [Windows] avoid file COPY for symlink sources (#1109 <https://github.com/ros/catkin/issues/1109>)
  * [Windows] add .lib into the symlink install file list (#1110 <https://github.com/ros/catkin/issues/1110>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2020 07:00:00 -0000

ros-melodic-catkin (0.7.27-1stretch) stretch; urgency=high

  * explicitly call project() in toplevel CMakeLists.txt (#1106 <https://github.com/ros/catkin/issues/1106>)
  * add Arch Linux gtest path (#1105 <https://github.com/ros/catkin/issues/1105>)
  * fix symlink install python when shebang line is rewritten (#1100 <https://github.com/ros/catkin/issues/1100>)
  * fix CATKIN_SYMLINK_INSTALL with add_subdirectory() (#1102 <https://github.com/ros/catkin/issues/1102>)
  * define GMOCK_* and GTEST_* variables in a new subproject (#1101 <https://github.com/ros/catkin/issues/1101>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jul 2020 07:00:00 -0000

ros-melodic-catkin (0.7.26-1stretch) stretch; urgency=high

  * stop catkin from trying to find C++ libraries if not needed (#1083 <https://github.com/ros/catkin/issues/1083>)
  * [Windows] make more relocatable wrapper (#1086 <https://github.com/ros/catkin/issues/1086>)
  * suppress FPHSA name mismatch for empy (#1093 <https://github.com/ros/catkin/issues/1093>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 07:00:00 -0000

ros-melodic-catkin (0.7.25-1stretch) stretch; urgency=high

  * fix GTest detection when cmake-extras is installed (#1091 <https://github.com/ros/catkin/issues/1091>)
  * fix gtest_source_paths (#1088 <https://github.com/ros/catkin/issues/1088>)
  * fix -egg-base path to point to the build space (#1090 <https://github.com/ros/catkin/issues/1090>)
  * also rewrite shebang lines with whitespace in catkin_install_python (#1079 <https://github.com/ros/catkin/issues/1079>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 May 2020 07:00:00 -0000

ros-melodic-catkin (0.7.24-1stretch) stretch; urgency=high

  * stamp env hook before copying (#1075 <https://github.com/ros/catkin/issues/1075>)
  * set egg-base for setuptools packages (#1073 <https://github.com/ros/catkin/issues/1073>) (#1077 <https://github.com/ros/catkin/issues/1077>)
  * [Windows] Accommodate different drives for --root (#1071 <https://github.com/ros/catkin/issues/1071>)
  * [Windows] stop setuptools egg packaging (#1070 <https://github.com/ros/catkin/issues/1070>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Apr 2020 07:00:00 -0000

ros-melodic-catkin (0.7.23-1stretch) stretch; urgency=high

  * always pass --root to setuptools install (#1068 <https://github.com/ros/catkin/issues/1068>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Mar 2020 08:00:00 -0000

ros-melodic-catkin (0.7.22-1stretch) stretch; urgency=high

  * [Windows] rename catkin scripts for parallel package parsing support (#1066 <https://github.com/ros/catkin/issues/1066>)
  * allow flexible CMake minimum version in metapackage CMake code (#1065 <https://github.com/ros/catkin/issues/1065>)
  * [Windows] generate executables without extension name (#1061 <https://github.com/ros/catkin/issues/1061>, #1063 <https://github.com/ros/catkin/issues/1063>)
  * fix CATKIN_INSTALL_INTO_PREFIX_ROOT for win32 (#1059 <https://github.com/ros/catkin/issues/1059>)
  * various code cleanup (#1055 <https://github.com/ros/catkin/issues/1055>)
  * make catkin_install_python code a little clearer (#1054 <https://github.com/ros/catkin/issues/1054>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Mar 2020 08:00:00 -0000

ros-melodic-catkin (0.7.21-1stretch) stretch; urgency=high

  * bump CMake minimum version in tests and docs (#1053 <https://github.com/ros/catkin/issues/1053>)
  * bump CMake minimum version to use new behavior of CMP0048 (#1052 <https://github.com/ros/catkin/issues/1052>)
  * Prefer setuptools with Python 3 (#1048 <https://github.com/ros/catkin/issues/1048>)
  * Support use of gmake on FreeBSD (#1051 <https://github.com/ros/catkin/issues/1051>)
  * Fix if statement in catkin_libraries (#1050 <https://github.com/ros/catkin/issues/1050>)
  * Update gtest config documentation (#1046 <https://github.com/ros/catkin/issues/1046>)
  * Contributors: Dirk Thomas, Matt Reynolds, Shane Loretz, dodsonmg, poggenhans

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jan 2020 08:00:00 -0000

ros-melodic-catkin (0.7.20-1stretch) stretch; urgency=high

  * fix checking dependency conditions (#1041 <https://github.com/ros/catkin/issues/1041>)
  * fix gtest-not-found bug, regression from 0.7.19 (#1040 <https://github.com/ros/catkin/issues/1040>)
  * support build_type tag with condition attribute (#1038 <https://github.com/ros/catkin/issues/1038>)
  * use ${prefix} variable in generated pkg-config (#1037 <https://github.com/ros/catkin/issues/1037>)
  * check for INTERFACE library type in add_library function (#1034 <https://github.com/ros/catkin/issues/1034>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 Dec 2019 08:00:00 -0000


