=== debian/control ===
Source: ros-melodic-catkin
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libpython2.7-stdlib, python-catkin-pkg (>> 0.4.3), python-empy, python-mock, python-nose, python-setuptools
Homepage: http://wiki.ros.org/catkin
Standards-Version: 3.9.2

Package: ros-melodic-catkin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cmake, google-mock, libgtest-dev, libpython2.7-stdlib, python-catkin-pkg (>> 0.4.3), python-empy, python-nose
Description: Low-level build system macros and infrastructure for ROS.
